<?php
/**
* Avoid direct call of the file
*/
if (!function_exists('add_action')) {
    header('Status: 403 Forbidden');
    header('HTTP/1.1 403 Forbidden');
    exit();
}
if (post_password_required()) {
    return; 
}
global $bln_help;
$count = $bln_help->comments_count();
if ((post_type_supports(get_post_type(), 'comments')) && (!(!have_comments() && is_page() && !comments_open()))) : ?>
	<div id="comments-wrapper">
	<?php if (have_comments()) : ?>
		<h4 id="comments-title" class="alert alert-info"><?php
            if (0 == $count) {
                _e('There is no comment yet!', 'bluelines');
            } else {
                printf(_n('One comment on %2$s', '%1$s comments on %2$s', $count, 'bluelines'), $count, get_the_title());
            }
        ?></h4>
		<ul class="comments-list">
			<?php
			wp_list_comments(array('callback' => array($bln_help, 'comments_cb')));
			if (get_comment_pages_count() > 1 && get_option('page_comments')) : ?>
            <div class="comment-pagination pagination"><?php paginate_comments_links(array('type' => 'list')); ?></div>       
			<?php endif; ?>
		</ul>
	<?php endif; ?>
	<?php if (!comments_open() && 0 != $count) : ?>
		<p class="alert alert-danger"><?php _e('Comments are closed.', 'bluelines'); ?></p>
	<?php endif; ?>
	</div><!-- #comments-wrapper -->
<?php endif;
