<?php
/**
* Avoid direct call of the file
*/
if (!function_exists('add_action')) {
    header('Status: 403 Forbidden');
    header('HTTP/1.1 403 Forbidden');
    exit();
}
global $bln_help;
?>
<?php if (have_posts()) : ?>
    <div><?php get_search_form(); ?></div>
    <?php while (have_posts()) : the_post(); ?>
        <?php if ($bln_help->is_displayable(get_the_ID())) : ?>
            <article id="post-<?php the_ID();?>" <?php post_class(); ?>>
                <header class="entry-header heading">
                    <a href="<?php echo esc_url(the_permalink()); ?>" class="entry-title">
                        <h2><?php the_title(); ?></h2>
                    </a>
                </header>
                <div class="entry-content clearfix">
                    <?php $bln_help->post_thumbnail(); ?>
                    <?php the_excerpt(); ?>
                </div><!-- .entry-content -->
                <footer class="entry-footer">
                    <?php $bln_help->post_meta(); ?>
                </footer><!-- .entry-footer -->
            </article> <!-- post-<?php the_ID();?>-->
        <?php endif; ?>
    <?php endwhile; ?>
    <?php $bln_help->archives_pagination(); ?>
<?php else : ?>
	<article id="post-0" class="post error404 not-found">
		<header class="entry-header">
			<h1 class="entry-title"><?php _e('No result found for that URL.', 'bluelines'); ?></h1>
		</header>
		<div class="entry-content">
			<p><?php _e('It seems we can&#39;t find what you&#39;re looking for. Perhaps searching can help.', 'bluelines'); ?></p>
			<div class="entry-meta">
				<?php get_search_form(); ?>
			</div>
		</div><!-- .entry-content -->
	</article><!-- #post-0 -->
<?php endif; ?>
