<?php
/**
* Avoid direct call of the file
*/
if (!function_exists('add_action')) {
    header('Status: 403 Forbidden');
    header('HTTP/1.1 403 Forbidden');
    exit();
}
global $bln_help;
?>
<?php if (have_posts()) : ?>
    <?php while (have_posts()) : the_post(); ?>
        <?php if ($bln_help->is_displayable(get_the_ID())) : ?>
            <article id="post-<?php the_ID();?>" <?php post_class(); ?>>
                <?php if ('' != get_the_title()) : ?>
                    <header class="entry-header heading">
                        <h1><?php the_title(); ?></h1>
                    </header>
                <?php endif; ?>
                <?php
                    $type = (is_page()) ? __('this page', 'bluelines') : __('this post', 'bluelines');
                    edit_post_link(__('Edit ', 'bluelines') . $type, '<p class="label label-important"><i class="icon-edit icon-white"></i>', '</p>'); 
                ?>
                <div class="entry-content clearfix">
                    <?php $bln_help->post_thumbnail(); ?>
                    <?php the_content(); ?>
                </div><!-- .entry-content -->
                <footer class="entry-footer">
                    <?php $bln_help->post_pagination(); ?>
                    <?php $bln_help->post_meta(); ?>
                </footer><!-- .entry-footer -->
                <ul class="pager">
                    <?php previous_post_link('<li class="previous">%link</li>', '&laquo; %title'); ?>
                    <?php next_post_link('<li class="next">%link</li>', '%title &raquo;'); ?>
                </ul>
            </article> <!-- post-<?php the_ID();?>-->
            <?php comments_template( '', true ); ?>
        <?php endif; ?>
    <?php endwhile; ?>
<?php else : ?>
	<article id="post-0" class="post error404 not-found">
		<header class="entry-header">
			<h1 class="entry-title"><?php _e('No result found for that URL.', 'bluelines'); ?></h1>
		</header>
		<div class="entry-content">
			<p><?php _e('It seems we can&#39;t find what you&#39;re looking for. Perhaps searching can help.', 'bluelines'); ?></p>
			<div class="entry-meta">
				<?php get_search_form(); ?>
			</div>
		</div><!-- .entry-content -->
	</article><!-- #post-0 -->
<?php endif; ?>
