<?php
/**
* Avoid direct call of the file
*/
if (!function_exists('add_action')) {
    header('Status: 403 Forbidden');
    header('HTTP/1.1 403 Forbidden');
    exit();
}
global $bln_help;
?>
<header id="site-head">
    <?php if ( 'blank' != get_header_textcolor() ) : ?>
    <hgroup id="site-heading" class="container">
        <div class="row">
            <div class="span12">
                <?php if (is_front_page() || is_home()) : ?>
                    <h1 id="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                <?php else : ?>
                    <h2 id="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h2>
                <?php endif; ?>
                <h3 id="site-description"><?php bloginfo( 'description' ) ?></h3>
            </div><!-- .span10 -->
        </div><!-- .row -->
    </hgroup><!-- .container -->
    <?php endif; ?>
</header>
<?php $bln_help->slider(); ?>
<nav class="navbar">
    <div class="navbar-inner">
        <div class="container-fluid">
            <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </a>
            <a class="brand visible-phone" href="#"><?php _e('Main Navigation Menu', 'bluelines'); ?></a><!-- .brand -->
            <div class="nav-collapse collapse">
            <?php
                $args = array(
                    'theme_location' => 'main',
                    'fallback_cb' => '__return_false',
                    'item_wrap' => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                    'menu_class' => 'nav',
                    'walker' => new BLN_MAIN_MENU_WALKER(),
                    'depth' => 2,
                );
                wp_nav_menu($args);
            ?>
            <?php $bln_help->navbar_searchform(); ?>
            </div><!-- .nav-collapse.collapse -->
        </div>
    </div><!-- .navbar-inner -->
</nav><!-- .navbar -->
