<?php
/**
* Avoid direct call of the file
*/
if (!function_exists('add_action')) {
    header('Status: 403 Forbidden');
    header('HTTP/1.1 403 Forbidden');
    exit();
}

if (!class_exists('BLN_PHONE_MENU_WALKER')) {
    class BLN_PHONE_MENU_WALKER extends Walker_Nav_Menu
    {
        function start_lvl(&$output, $depth = 0, $args = array())
        {
            // Nothing to add
        }
        
        function end_lvl(&$output, $depth = 0, $args = array())
        {
        }
        
        function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0)
        {
            $classes = empty($item->classes) ? array() : (array) $item->classes;
            $current = '';
            if (in_array('current-menu-item', $classes)) {
                $current = ' selected="selected"';
            }
            $el_depth = ($depth) ? str_repeat("&nbsp;", 4 * $depth) : '';
            $dashes = apply_filters('bln_phone_menu_dashes', array('top_level' => '&bull;', 'default' => '-'));
            $el_dashes = (0 == $depth) ? $dashes['top_level'] : $dashes['default'];
            $link = ($item->url) ? esc_attr($item->url) : 'nolink';
            $output .= '<option value="' . $link . '"' . "$current>\n" . $el_depth;
            $output .= $args->before . $el_dashes . ' ' . $args->link_before . $item->title . $args->link_after . $args->after . "\n";
        }
        
        function end_el(&$output, $item, $depth = 0, $args = array())
        {
            $output .= "</option>\n";
        }
    }
}
