<?php
/**
* Avoid direct call of the file
*/
if (!function_exists('add_action')) {
    header('Status: 403 Forbidden');
    header('HTTP/1.1 403 Forbidden');
    exit();
}

if (!class_exists('BLN_TWPLUS')) {
    class BLN_TWPLUS extends WP_Widget
    {
        // Constructor
        public function BLN_TWPLUS()
        {
            $widget_ops = array('classname' => 'bln-twp', 'description'	=> __('Use this widget to display a custom content in your sidebars.', 'bluelines'));
            $control_ops = array('id_base' => 'bln-twp');		
            $this->WP_Widget('bln-twp', 'Text Widget + ', $widget_ops, $control_ops);
        }
        
        // Display the widget
        public function widget($args, $instance) {
            extract($args);
            $title = $instance['title'];
            $content = $instance['content'];
            if (!empty($content)) {
                
                echo $before_widget;
                echo $before_title . $title . $after_title;
                $content = apply_filters('bln_twplus_content', $content);
                ?>
                <div class="twplus-content">
                    <?php echo do_shortcode($content);?>
                </div>
                <?php
                
                echo $after_widget;
            }
        }
        
        // The form displayed when setting up this widget in sidebars
        public function form($instance) {
            $defaults = array('title' => '', 'content' => '');		
            $instance = wp_parse_args((array) $instance, $defaults);
            ?>
            <p>
                <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'bluelines'); ?></label>
                <input type="text" class="widefat" name="<?php echo $this->get_field_name('title'); ?>" id="<?php echo $this->get_field_id('title'); ?>" value="<?php echo esc_attr($instance['title'], 'bluelines'); ?>" />
            </p>
            <input type="hidden" style="display: none !important;" name="<?php echo $this->get_field_name('content'); ?>" id="<?php echo $this->get_field_id('content'); ?>" value="<?php echo esc_attr($instance['content']); ?>" />
            <p><a href="#" class="button edit-blntwp" data-target="<?php echo $this->get_field_id('content'); ?>"><?php _e('View content', 'bluelines'); ?></a></p>
            <?php
        }
        
        // Update values
        public function update($new_instance, $old_instance) {
            $instance = array();		
            $instance['title'] = (!empty($new_instance['title']) ? strip_tags( $new_instance['title']):'');
            $instance['content'] = (!empty($new_instance['content']) ? $new_instance['content']:'');
            return $instance;
        }
    }
}
