<?php
/**
* Avoid direct call of the file
*/
if (!function_exists('add_action')) {
    header('Status: 403 Forbidden');
    header('HTTP/1.1 403 Forbidden');
    exit();
}

$args = array(
    'post_type' => 'page',
    'numberposts' => -1,
    'post_parent' => null,
    'post_status' => 'publish',
);

$pages = get_posts($args);
$norm_pages = array();
$options = $this->options;

foreach ($pages as $page) {
    setup_postdata($page);
    if (has_post_thumbnail($page->ID)) {
        if (!in_array($page->ID, $options['slider']['slides'])) {
            $norm_pages[] = $page;
        }
    }
}
$feat_pages = array_map(function($id){ return get_post($id); }, $options['slider']['slides']);
$h = 123;
$m = 12;
$list_height = (((count($norm_pages) + count($feat_pages)) * $h) + (2 * $m));
?>
<form id="slider" method="post" action="<?php echo esc_url($tabs['slider']['url']); ?>">
    <label><?php _e('Drag thumbnails to the right column and then save the changes', 'bluelines'); ?></label>
    <fieldset>
        <legend><?php _e('Slider Settings', 'bluelines'); ?></legend>
        <input type="hidden" name="bln-nonce-slider" value="<?php echo wp_create_nonce('blueline_slider'); ?>" />
        <input type="hidden" id="order" name="order" value="" />
        <div class="option-block">
            <label for="timeout"><?php _e('Timeout', 'bluelines'); ?></label>
            <input type="text" name="timeout" class="normal-text" id="timeout" value="<?php echo esc_attr($options['slider']['timeout']); ?>" />
            <span><em><?php _e('(in milliseconds)', 'bluelines'); ?></em><span>
            <p class="desc"><?php _e('The timeout before switching automatically to the next slide.', 'bluelines'); ?></p>
        </div><!-- .option-block -->
        <div class="option-block">
            <label for="speed"><?php _e('Speed', 'bluelines'); ?></label>
            <input type="text" name="speed" class="normal-text" id="speed" value="<?php echo esc_attr($options['slider']['speed']); ?>" />
            <span><em><?php _e('(in milliseconds)', 'bluelines'); ?></em><span>
            <p class="desc"><?php _e('The speed of the transition effect.', 'bluelines'); ?></p>
        </div><!-- .option-block -->
        <div class="option-block">
            <label for="fx"><?php _e('Effect', 'bluelines'); ?></label>
            <select name="fx" id="fx">
                <?php foreach ($this->get_slider_effects() as $key => $value) : ?>
                    <option value="<?php echo esc_attr($key) ?>" <?php selected($options['slider']['fx'], $key); ?>><?php echo $value; ?></option>
                <?php endforeach; ?>
            </select>
            <p class="desc"><?php _e('The transition effect.', 'bluelines'); ?></p>
        </div><!-- .option-block -->
        <input type="submit" name="save" class="button button-primary" value="<?php esc_attr_e('Save Changes', 'bluelines'); ?>" />
    </fieldset>
</form>
<table class="widefat">
    <thead>
        <tr>
            <th><?php _e('Pages with Featured Image', 'bluelines'); ?></th>
            <th><strong><?php _e('Featured Pages Slides', 'bluelines'); ?></strong> (<?php _e('ordered form top to bottom', 'bluelines'); ?>)</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td class="alt">
                <?php if (array() != $norm_pages || array() != $feat_pages) : ?>
                    <ul id="norm-page" style="height: <?php echo $list_height; ?>px;">
                        <?php foreach($norm_pages as $page) : ?>
                            <li data-id="<?php echo $page->ID; ?>" class="page-elem"><?php echo $this->feat_page_thumb($page->ID); ?></li>
                        <?php endforeach; ?>
                    </ul>
                <?php else : ?>
                    <p><?php _e('There are no page witn featured images.', 'bluelines'); ?></p>
                <?php endif; ?>
            </td>
            <td class="w400 target-col">
                <?php if (array() != $norm_pages || array() != $feat_pages) : ?>
                    <ul id="feat-page" style="height: <?php echo $list_height; ?>px;">
                        <?php foreach($feat_pages as $page) : ?>
                            <li data-id="<?php echo $page->ID; ?>" class="page-elem"><?php echo $this->feat_page_thumb($page->ID); ?></li>
                        <?php endforeach; ?>
                    </ul>
                <?php endif; ?>
            </td>
        </tr>
    </tbody>
</table><!-- .widefat -->
