<?php
/**
* Avoid direct call of the file
*/
if (!function_exists('add_action')) {
    header('Status: 403 Forbidden');
    header('HTTP/1.1 403 Forbidden');
    exit();
}
global $bln_help;
$options = $bln_help->get_theme_options();
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
        <?php get_header(); ?>
	</head>
    <body <?php body_class(); ?>>
        <?php get_template_part('main', 'navigation'); ?>
        <header id="site-header" class="" role="banner">
            <?php get_template_part('head'); ?>
        </header><!-- #site-head -->
        <div id="wrap" class="container">
            <div id="wrap-body" class="row">
                <?php if ('left' == $options['sidebar'] && is_active_sidebar('sidebar1')) :?>
                    <div id="sidebar" class="<?php $bln_help->sidebar_class(); ?>" role="complementary">
                        <?php get_sidebar(); ?>
                    </div><!-- #sidebar -->
                <?php endif; ?>
                <div id="content" class="<?php $bln_help->main_content_class(); ?>" role="main">
                    <?php get_template_part('content', 'single'); ?>
                </div><!-- #content -->
                <?php if ('right' == $options['sidebar'] && is_active_sidebar('sidebar1')) :?>
                    <div id="sidebar" class="<?php $bln_help->sidebar_class(); ?>" role="complementary">
                        <?php get_sidebar(); ?>
                    </div><!-- #sidebar -->
                <?php endif; ?>
            </div><!-- #wrap-body -->
        </div><!-- #wrap -->
        <?php $bln_help->comment_form(); ?>
        <footer id="site-footer">
            <?php get_footer(); ?>
        </footer>
        <?php wp_footer(); ?>
    </body>
</html>
